Bug 173077 - No DMA on TSSTcorpCD-RW/DVD-ROM TSL462C: HDIO_SET_DMA failed: Operation not permitted
No DMA on TSSTcorpCD-RW/DVD-ROM TSL462C: HDIO_SET_DMA failed: Operation not p...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-11-13 13:48 EST by Reshat Sabiq
Modified: 2015-01-04 17:23 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-05 20:38:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
lspci -vvxxx (23.84 KB, text/plain)
2006-02-28 14:36 EST, Thomas M Steenholdt
no flags Details
dmesg output (combined mode) (23.42 KB, text/plain)
2006-02-28 14:38 EST, Thomas M Steenholdt
no flags Details

  None (edit)
Description Reshat Sabiq 2005-11-13 13:48:51 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8b5) Gecko/20051008 Fedora/1.5-0.5.0.beta2 Firefox/1.4.1

Description of problem:
Trying to set DMA to on on this device always fails. E.g., refer to hdparm output below.



Version-Release number of selected component (if applicable):
kernel-2.6.14-1.1635_FC5

How reproducible:
Always

Steps to Reproduce:
1. Try to set DMA to on using hdparm, as below.
2.
3.
  

Actual Results:   HDIO_SET_DMA failed: Operation not permitted

# hdparm -d /dev/hdc

/dev/hdc:
 using_dma    =  0 (off)

Expected Results:  using_dma    =  1 (on)


Additional info:

#          hdparm -d1 -X34 /dev/hdc

/dev/hdc:
 setting using_dma to 1 (on)
 HDIO_SET_DMA failed: Operation not permitted
 setting xfermode to 34 (multiword DMA mode2)
 using_dma    =  0 (off)

The same happens for:
hdparm -d1 /dev/hdc.
Comment 1 Reshat Sabiq 2005-11-13 13:53:43 EST
This prevents me from viewing DVDs, as i'm also having problems w/ sound in mplayer.

I'm just looking for a way to view DVDs, so if there's a hack i could use to
achieve DMA effect w/o really having DMA, i'd be interested. I'd also be
interested in any other suggestions on the subject.
Comment 2 Reshat Sabiq 2005-11-13 14:31:37 EST
[root@localhost MPlayer-20050806]# lspci
00:00.0 Host bridge: Intel Corporation Mobile 915GM/PM/GMS/910GML Express
Processor to DRAM Controller (rev 03)
00:01.0 PCI bridge: Intel Corporation Mobile 915GM/PM Express PCI Express Root
Port (rev 03)
00:1d.0 USB Controller: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family)
USB UHCI #1 (rev 03)
00:1d.1 USB Controller: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family)
USB UHCI #2 (rev 03)
00:1d.2 USB Controller: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family)
USB UHCI #3 (rev 03)
00:1d.3 USB Controller: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family)
USB UHCI #4 (rev 03)
00:1d.7 USB Controller: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family)
USB2 EHCI Controller (rev 03)
00:1e.0 PCI bridge: Intel Corporation 82801 Mobile PCI Bridge (rev d3)
00:1e.2 Multimedia audio controller: Intel Corporation 82801FB/FBM/FR/FW/FRW
(ICH6 Family) AC'97 Audio Controller (rev 03)
00:1e.3 Modem: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) AC'97 Modem
Controller (rev 03)
00:1f.0 ISA bridge: Intel Corporation 82801FBM (ICH6M) LPC Interface Bridge (rev 03)
00:1f.2 IDE interface: Intel Corporation 82801FBM (ICH6M) SATA Controller (rev 03)
00:1f.3 SMBus: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) SMBus
Controller (rev 03)
01:00.0 VGA compatible controller: ATI Technologies Inc M22 [Radeon Mobility M300]
03:00.0 Ethernet controller: Broadcom Corporation BCM4401-B0 100Base-TX (rev 02)
03:01.0 CardBus bridge: Ricoh Co Ltd RL5c476 II (rev b3)
03:01.1 FireWire (IEEE 1394): Ricoh Co Ltd R5C552 IEEE 1394 Controller (rev 08)
03:01.2 Class 0805: Ricoh Co Ltd R5C822 SD/SDIO/MMC/MS/MSPro Host Adapter (rev 17)
03:03.0 Network controller: Intel Corporation PRO/Wireless 2200BG (rev 05)
Comment 3 Reshat Sabiq 2005-11-13 14:47:14 EST
# lsmod
Module                  Size  Used by
udf                    84037  1
ppdev                   9029  0
...
ohci1394               35465  0
ieee1394              297753  1 ohci1394
uhci_hcd               32465  0
ehci_hcd               34509  0
...
b44                    21829  0
mii                     5441  1 b44
ahci                   12229  0
ext3                  130633  2
jbd                    57941  1 ext3
ata_piix                9541  3
libata                 47437  2 ahci,ata_piix
sd_mod                 18881  4
scsi_mod              135785  3 ahci,libata,sd_mod
Comment 4 Christopher J. Bottaro 2005-11-28 16:52:41 EST
Welcome to the club.

You have a Dell Inspiron 6000d?  I have been battling with this problem for 6
months now.  There is a patch (and lots of info about this problem) here:
http://www.math.ucla.edu/~jimc/insp6000/p-disc.html#cd
but be warned, that patch will cause the kernel to randomly lock up.  I got sick
of the lockups (especially at work) that I no longer use the patch.

There is another patch floating around for our SATA/PATA controller, 82801FBM
(ICH6M), but from what I gather, it only works if both your hard disk and
cd/dvd-rom are PATA...and if you have a 6000d, unfortunately, your hard disk is
SATA and your cd/dvd-rom is PATA, so it won't work.

Someone fix this please.  Desktop Linux kind of sucks without dma on your CD/DVD
drive.
Comment 5 Dave Jones 2005-11-28 17:12:10 EST
Current rawhide kernels have SATA ATAPI enabled.
Comment 6 Reshat Sabiq 2006-01-03 23:06:23 EST
This issue forced me to switch to Ubuntu back in November, where DMA works fine
on 5.10 release. Whoever wants to fix this issue in Fedora might be advised to
take a look at what's done in Ubuntu about it. I understand that architectures
are kinda different, but i'm sure analysis of Ubuntu will lead to a resolution
of this issue in Fedora.

P.S. Mine is Inspiron 6000.
Comment 7 Reshat Sabiq 2006-01-03 23:11:45 EST
Btw., in Ubuntu, the CD/DVD-ROM is an scd0 device with this hardware, rather
than an hdc.
Comment 8 Dave Jones 2006-01-05 20:38:03 EST
"whats done in ubuntu" is basically an older kernel revision.
As Fedora devel/ is tracking upstream on a day-to-day basis, sooner or later the
exact same code is going to be in ubuntu too.

All you've done is moved to an older kernel which has the same code thats in the
Fedora tree backported.

SATA ATAPI was enabled just after the release of FC5test1, so this should be
fixed, but as you've moved to a different distro, we'll never know for sure.

Closing, assuming fixed.
Comment 9 Thomas M Steenholdt 2006-02-28 14:35:37 EST
I'm having this exact same problem with 2.6.15-1.1991_FC5 - but only when my
SATA configuration is set to "combined mode". In "nnhanced mode" which as far as
i understand it, splits ATA from SATA, it works just great...

Now, i'm ont entirely sure if this is a hardware problem or a kernel issue, but
if this should be possible in combined mode, we have a bug still.

This is what i'm getting

[root@myboxen ~]# hdparm -d1 /dev/hdc

/dev/hdc:
 setting using_dma to 1 (on)
 HDIO_SET_DMA failed: Operation not permitted
 using_dma    =  0 (off)


[root@myboxen ~]# hdparm /dev/hdc

/dev/hdc:
 IO_support   =  0 (default 16-bit)
 unmaskirq    =  0 (off)
 using_dma    =  0 (off)
 keepsettings =  0 (off)
 readonly     =  0 (off)
 readahead    = 256 (on)
 HDIO_GETGEO failed: Inappropriate ioctl for device
Comment 10 Thomas M Steenholdt 2006-02-28 14:36:43 EST
Created attachment 125412 [details]
lspci -vvxxx
Comment 11 Thomas M Steenholdt 2006-02-28 14:38:13 EST
Created attachment 125413 [details]
dmesg output (combined mode)

Note You need to log in before you can comment on or make changes to this bug.